Skip to content
Start here

Create a URL ignore pattern

client.EmailSecurity.Settings.URLIgnorePatterns.New(ctx, params) (*SettingURLIgnorePatternNewResponse, error)
POST/accounts/{account_id}/email-security/settings/url_ignore_patterns

Creates a new URL rewrite ignore pattern. URLs matching this pattern will not be rewritten.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: Write
ParametersExpand Collapse
params SettingURLIgnorePatternNewParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
Pattern param.Field[string]

Body param: Regular expression matching URLs that should not be rewritten.

maxLength1024
minLength1
Comments param.Field[string]Optional

Body param: Optional note describing the reason for the ignore pattern.

maxLength1024
ReturnsExpand Collapse
type SettingURLIgnorePatternNewResponse struct{…}

A URL ignore pattern that exempts matching URLs from being rewritten by Email Security.

ID string

URL ignore pattern identifier

formatuuid
CreatedAt Time
formatdate-time
Pattern string

Regular expression matching URLs that should not be rewritten.

maxLength1024
minLength1
Comments stringOptional

Optional note describing the reason for the ignore pattern.

maxLength1024
DeprecatedLastModified TimeOptional

Use modified_at instead.

Deprecated, use modified_at instead. End of life: November 1, 2026.

formatdate-time
ModifiedAt TimeOptional
formatdate-time

Create a URL ignore pattern

package main

import (
  "context"
  "fmt"

  "github.com/stainless-sdks/cloudflare-go"
  "github.com/stainless-sdks/cloudflare-go/email_security"
  "github.com/stainless-sdks/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  urlIgnorePattern, err := client.EmailSecurity.Settings.URLIgnorePatterns.New(context.TODO(), email_security.SettingURLIgnorePatternNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Pattern: cloudflare.F("https://example\\.com/.*"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", urlIgnorePattern.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2019-12-27T18:11:19.117Z",
    "pattern": "https://example\\.com/.*",
    "comments": "Trusted internal redirect service",
    "last_modified": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2019-12-27T18:11:19.117Z",
    "pattern": "https://example\\.com/.*",
    "comments": "Trusted internal redirect service",
    "last_modified": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z"
  }
}